Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232895 - cannot access filesystem through sata_nv drivers
Summary: cannot access filesystem through sata_nv drivers
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: ia64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 11:17 UTC by adelendik
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 14:49:33 UTC


Attachments (Terms of Use)
Full /var/log/messages (deleted)
2007-03-19 11:17 UTC, adelendik
no flags Details

Description adelendik 2007-03-19 11:17:29 UTC
Description of problem:
cannot access filesystem through sata_nv drivers

Version-Release number of selected component (if applicable):
2.6.18-1.2200.fc5 (brewbuilder@hs20-bc1-6.build.redhat.com) (gcc version 4.1.1
20060525 (Red Hat 4.1.1-1)) #1 SMP

How reproducible:
after booting cannot access metadevice md1 been built on sata disks
( sata_nv kernel module been used )


Steps to Reproduce:
1.boot FC5
2.try to access metadevice
3.no access, errors in /var/log/messages
  
Actual results:


Expected results:


Additional info:
System: Sun Fire X2100, AMD Opteron Socket 939 Processor 32/64 bit
Chipset: nVidia NForce 4 Ultra
Four channel SATA interface, internal access only.

part of log (/var/log/messages):
<skip>
Mar 15 17:36:26 icebaby kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x380
000 action 0x2
Mar 15 17:36:26 icebaby kernel: ata2.00: (BMDMA stat 0x20)
Mar 15 17:36:26 icebaby kernel: ata2.00: tag 0 cmd 0xc8 Emask 0x10 stat 0x51 err
 0x84 (ATA bus error)
Mar 15 17:36:26 icebaby kernel: ata2: soft resetting port
Mar 15 17:36:27 icebaby kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SContro
l 300)
Mar 15 17:36:27 icebaby kernel: ata2.00: configured for UDMA/133
Mar 15 17:36:27 icebaby kernel: ata2: EH complete
Mar 15 17:36:27 icebaby kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x300
000 action 0x2
Mar 15 17:36:27 icebaby kernel: ata2.00: (BMDMA stat 0x20)
Mar 15 17:36:27 icebaby kernel: ata2.00: tag 0 cmd 0xc8 Emask 0x10 stat 0x51 err
 0x84 (ATA bus error)
Mar 15 17:36:27 icebaby kernel: ata2: soft resetting port
Mar 15 17:36:28 icebaby kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SContro
l 300)
Mar 15 17:36:28 icebaby kernel: ata2.00: configured for UDMA/133
Mar 15 17:36:30 icebaby kernel: ata2: EH complete
Mar 15 17:36:30 icebaby kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x300
000 action 0x2
Mar 15 17:36:30 icebaby kernel: ata2.00: (BMDMA stat 0x20)
Mar 15 17:36:30 icebaby kernel: ata2.00: tag 0 cmd 0xc8 Emask 0x10 stat 0x51 err
 0x84 (ATA bus error)
Mar 15 17:36:30 icebaby kernel: ata2: soft resetting port
Mar 15 17:36:30 icebaby kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SContro
l 300)
Mar 15 17:36:30 icebaby kernel: ata2.00: configured for UDMA/133
Mar 15 17:36:30 icebaby kernel: ata2: EH complete
Mar 15 17:36:30 icebaby kernel: ata2.00: limiting speed to UDMA/100
Mar 15 17:36:30 icebaby kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x100
000 action 0x2
Mar 15 17:36:30 icebaby kernel: ata2.00: (BMDMA stat 0x20)
Mar 15 17:36:30 icebaby kernel: ata2.00: tag 0 cmd 0xc8 Emask 0x10 stat 0x51 err
 0x84 (ATA bus error)
Mar 15 17:36:30 icebaby kernel: ata2: soft resetting port
Mar 15 17:36:30 icebaby kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SContro
l 300)
<skip>
Mar 15 17:43:23 icebaby kernel: ata2: port is slow to respond, please be patient
Mar 15 17:43:23 icebaby kernel: ata2: port failed to respond (30 secs)
Mar 15 17:43:23 icebaby kernel: ata2: soft resetting port
Mar 15 17:43:23 icebaby kernel: ata2: SATA link up 1.5 Gbps (SStatus 113 SContro
l 300)
Mar 15 17:43:23 icebaby kernel: ata2.00: configured for PIO3
Mar 15 17:43:23 icebaby kernel: ata2: EH complete
Mar 15 17:43:23 icebaby kernel: SCSI device sdb: 488397168 512-byte hdwr sectors
 (250059 MB)
Mar 15 17:43:23 icebaby kernel: sdb: Write Protect is off
Mar 15 17:43:23 icebaby kernel: SCSI device sdb: drive cache: write back
Mar 15 17:44:24 icebaby kernel: attempt to access beyond end of device
Mar 15 17:44:24 icebaby kernel: md1: rw=0, want=24843388720, limit=483941888
Mar 15 17:44:24 icebaby kernel: attempt to access beyond end of device
Mar 15 17:44:24 icebaby kernel: md1: rw=0, want=24843388720, limit=483941888
Mar 15 17:44:24 icebaby kernel: attempt to access beyond end of device
Mar 15 17:44:24 icebaby kernel: md1: rw=0, want=24755832624, limit=483941888
Mar 15 17:44:24 icebaby kernel: attempt to access beyond end of device
Mar 15 17:44:24 icebaby kernel: md1: rw=0, want=24755832624, limit=483941888
Mar 15 17:44:25 icebaby kernel: attempt to access beyond end of device
Mar 15 17:44:25 icebaby kernel: md1: rw=0, want=24755832624, limit=483941888
Mar 15 17:44:25 icebaby kernel: attempt to access beyond end of device

Comment 1 adelendik 2007-03-19 11:17:29 UTC
Created attachment 150359 [details]
Full /var/log/messages

Comment 2 Chuck Ebbert 2007-03-19 13:15:14 UTC
Please test with the 2.6.20 kernel. 2.6.18 is ancient...



Note You need to log in before you can comment on or make changes to this bug.